event.convert {Hmisc} | R Documentation

## Event Conversion for Time-to-Event Data

### Description

Convert a two-column data matrix with event time and event code into multiple column event time with one event in each column

### Usage

    event.convert(data2, event.time = 1, event.code = 2)

### Arguments

`data2` | a matrix or dataframe with at least 2 columns; by default, the first column contains the event time and the second column contains the k event codes (e.g. 1=dead, 0=censord)
`event.time` | the column number in data contains the event time
`event.code` | the column number in data contains the event code

### Details

In the survival analysis, the data typically come in two columns: one column containing survival time and the other containing censoring indicator or event code. The `event.convert` function converts this type of data into multiple columns of event times, one column of each event type, suitable for the `event.chart` function.

### Author(s)

J. Jack Lee and Kenneth R. Hess
Department of Biostatistics
University of Texas
M.D. Anderson Cancer Center
Houston, TX 77030
jjlee@mdanderson.org, khess@mdanderson.org

Joel A. Dubin
Department of Statistics
University of Waterloo
jdubin@uwaterloo.ca

### See Also

`event.history`, `Date`, `event.chart`

### Examples

    # To convert coded time-to-event data, then, draw an event chart:
    surv.time <- c(5,6,3,1,2)
    cens.ind   <- c(1,0,1,1,0)
    surv.data  <- cbind(surv.time,cens.ind)
    event.data <- event.convert(surv.data)
    event.chart(cbind(rep(0,5),event.data),x.julian=TRUE,x.reference=1)

[Package Hmisc version 4.0-3 Index]